Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Cancel Invoice


You can cancel an unpaid invoice. Partially paid or fully paid invoices cannot be canceled.

Canceling an invoice requires the invoice number that was assigned when the invoice was created. The {id} is the invoice number from the invoice creation response.

A successful request is indicated by a CANCELED status in the status response field and an updated time in the submitTimeUtc response field.

Follow-on operations: Get Invoice Details, Get Invoices

Endpoint

POST /invoicing/v2/invoices/{id}/cancelation

POST /invoicing/v2/invoices/{id}/cancelation

POST /invoicing/v2/invoices/{id}/cancelation

Example

This endpoint requires no request body.
{  "_links": {    "self": {      "href": "/v2/invoices/2675",      "method": "GET"    }  },  "id": "2675",  "submitTimeUtc": "2024-07-24T19:56:06.410896558Z",  "status": "CANCELED",  "customerInformation": {    "name": "Tanya Lee",    "email": "[email protected]",    "merchantCustomerId": "1234",    "company": {      "name": "ABC"    }  },  "processingInformation": {    "requestPhone": false,    "requestShipping": false  },  "invoiceInformation": {    "invoiceNumber": "2675",    "description": "This is a test invoice",    "dueDate": "2019-07-11",    "allowPartialPayments": true,    "deliveryMode": "None"  },  "orderInformation": {    "amountDetails": {      "totalAmount": 2623.64,      "currency": "USD",      "balanceAmount": 2623.64,      "discountAmount": 126.08,      "discountPercent": 5,      "subAmount": 2749.72,      "minimumPartialAmount": 20,      "taxDetails": {        "type": "State Tax",        "amount": 208,        "rate": 8.25      },      "freight": {        "amount": 20,        "taxable": true      }    },    "lineItems": [      {        "productSku": "P653727383",        "productName": "First line item's name",        "unitPrice": 12.05,        "quantity": 20,        "discountAmount": 13.04,        "taxAmount": 0,        "taxRate": 0,        "totalAmount": 247.86      }    ]  }}

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.